FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Menu_Window Class Reference

The Fl_Menu_Window widget is a window type used for menus. More...

`#include <Fl_Menu_Window.H>`

Inheritance diagram for Fl_Menu_Window:

List of all members.

## Public Member Functions
void | clear_overlay ()
| Tells FLTK to use normal drawing planes instead of overlay planes.
void | erase ()
| Erases the window, does nothing if HAVE_OVERLAY is not defined config.h.
| Fl_Menu_Window (int W, int H, const char *l=0)
| Creates a new Fl_Menu_Window widget using the given size, and label string.
| Fl_Menu_Window (int X, int Y, int W, int H, const char *l=0)
| Creates a new Fl_Menu_Window widget using the given position, size, and label string.
void | flush ()
| Forces the window to be drawn, this window is also made current and calls draw().
void | hide ()
| Removes the window from the screen.
unsigned int | overlay ()
| Tells if hardware overlay mode is set.
void | set_overlay ()
| Tells FLTK to use hardware overlay planes if they are available.
void | show ()
| Puts the window on the screen.
| ~Fl_Menu_Window ()
| Destroys the window and all of its children.

## Detailed Description

The Fl_Menu_Window widget is a window type used for menus.

By default the window is drawn in the hardware overlay planes if they are available so that the menu don't force the rest of the window to redraw.

## Constructor & Destructor Documentation

Fl_Menu_Window::~Fl_Menu_Window | ( |  | ) |

Destroys the window and all of its children.

Fl_Menu_Window::Fl_Menu_Window | ( | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

Creates a new Fl_Menu_Window widget using the given size, and label string.

Fl_Menu_Window::Fl_Menu_Window | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

Creates a new Fl_Menu_Window widget using the given position, size, and label string.

## Member Function Documentation

void Fl_Menu_Window::clear_overlay | ( |  | ) | `[inline]`

Tells FLTK to use normal drawing planes instead of overlay planes.

This is usually necessary if your menu contains multi-color pixmaps.

void Fl_Menu_Window::flush | ( |  | ) | `[virtual]`

Forces the window to be drawn, this window is also made current and calls draw().

Reimplemented from Fl_Single_Window.

void Fl_Menu_Window::hide | ( |  | ) | `[virtual]`

Removes the window from the screen.

If the window is already hidden or has not been shown then this does nothing and is harmless.

Reimplemented from Fl_Window.

void Fl_Menu_Window::set_overlay | ( |  | ) | `[inline]`

Tells FLTK to use hardware overlay planes if they are available.

void Fl_Menu_Window::show | ( |  | ) | `[virtual]`

Puts the window on the screen.

Usually (on X) this has the side effect of opening the display.

If the window is already shown then it is restored and raised to the top. This is really convenient because your program can call show() at any time, even if the window is already up. It also means that show() serves the purpose of raise() in other toolkits.

Fl_Window::show(int argc, char **argv) is used for top-level windows and allows standard arguments to be parsed from the command-line.

See also:
  Fl_Window::show(int argc, char **argv)

Reimplemented from Fl_Single_Window.

The documentation for this class was generated from the following files:

- Fl_Menu_Window.H
- Fl_Menu_Window.cxx